/**
 * @file
 * @author Timothy Redaelli
 */

#include "console.h"
#include "lista.h"
#include "freebsd.h"
#include <stdio.h>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

int printpackages(spackage **package) {
	spackage *tmp = *package;
	int i, c;
	
	if(tmp == NULL) {
		puts("There is a ciolla");
		exit(EXIT_FAILURE);
	}

	for(i = 0; tmp != NULL; i++, tmp = tmp->next) {
		printf("%.2d) [%c] %s\n", i + 1, tmp->toremove ? '*' : ' ', tmp->name);
	}
	
	puts("Enter the number of the package you want to select for removal (0 to process, q to terminate)");
	if (scanf("%d", &c) <= 0)
		return -1;

	if(c == 0) {
		pdelete(package);
		return 0;
	}
	
	tmp = *package;
	
	for(i = 0; tmp != NULL; i++, tmp = tmp->next) {
		if(i == c - 1)
			tmp->toremove = tmp->toremove ? 0 : 1;
	}

	printpackages(package);

	return 1;
}
