/**
 * @file
 * @author Timothy Redaelli
 */

#include "lista.h"
#include "freebsd.h"
#include "console.h"
#include <stdio.h>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

int main(void) {
	int ret = 0;
	spackage *package = NULL, *old = NULL;

	pmodule(&package);
	sortlist(&package);
	while(ret != -1) {
		if(old != NULL) {
			package = NULL;
			pmodule(&package);
			sortlist(&package);
			difflists(&old, &package);	/* TODO: fix it */
			if(package == NULL) {
				puts("No more leaves found");
				exit(EXIT_SUCCESS);
			}
			clear_list(&old);
		}
		old = duplist(&package);
		ret = printpackages(&package);
		clear_list(&package);
	}
	return(EXIT_SUCCESS);
}
